al_join_paths(3)

NAME

al_join_paths - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    bool al_join_paths(ALLEGRO_PATH *path, const ALLEGRO_PATH *tail)

DESCRIPTION

Concatenate two path structures. The first path structure is modified. If 'tail' is an absolute path, this function does nothing.

If 'tail' is a relative path, all of its directory components will be appended to 'path'. tail's filename will also overwrite path's filename, even if it is just the empty string.

Tail's drive is ignored.

Returns true if 'tail' was a relative path and so concatenated to 'path', otherwise returns false.

SEE ALSO

al_rebase_path(3)